Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages.properties
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages.properties	(revision 1089)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages.properties	(revision 1090)
@@ -5,10 +5,8 @@
 About_Menu_Label = About TXM...
 
 AdapterFactory_0 = ** Warning: the corpus {0} is corrupted. Some commands won''t work correctly.
-
 
 AddBase_1  = New corpus: {0}.
-AddBase_10 = TXM is ready.
 AddBase_17 = ** Cannot read the file {0}
 AddBase_19 = Warning
 AddBase_2  = ** Failed to load corpus  from directory: {0}.\nWe cannot find the necessary components
@@ -703,5 +701,7 @@
 
 error_invalidRegularExpression = Invalid regular expression: {0}
 
+info_txmIsReady = TXM is ready.
+
 preferences_advanced_enableResultsPersistence        = Enable automatic save of all results (persistence)
 preferences_advanced_showAllResultNodesInCorporaView = Show all result nodes in corpora view
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages_ru.properties
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages_ru.properties	(revision 1089)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages_ru.properties	(revision 1090)
@@ -3,9 +3,7 @@
 
 AdapterFactory_0 = ** Предупреждение: корпус {0} поврежден. Некоторые команды могут быть недоступны или функционировать некорркетно.
 
-
 AddBase_1  = Новый корпус: {0}.
-AddBase_10 = Платформа TXM готова к использованию.
 AddBase_17 = ** Файл {0} недоступен
 AddBase_19 = Внимание
 AddBase_2  = ** Ошибка загрузки корпуса из папки: {0}.\nНевозможно найти необходимые составные элементы.
@@ -571,5 +569,7 @@
 
 error_invalidRegularExpression = Некорректное регулярное выражение: {0}
 
+info_txmIsReady = Платформа TXM готова к использованию.
+
 preferences_advanced_enableResultsPersistence        = 
 preferences_advanced_showAllResultNodesInCorporaView = 
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages_fr.properties
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages_fr.properties	(revision 1089)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages_fr.properties	(revision 1090)
@@ -3,12 +3,10 @@
 #Mon Feb 10 10:26:04 CET 2014
 
 About_Menu_Label = À propos de TXM...
-
 
 AdapterFactory_0 = ** Avertissement : le corpus {0} est corrompu. Certaines commandes ne fonctionneront pas correctement.
 
 AddBase_1  = Nouveau corpus : {0}.
-AddBase_10 = TXM est prêt.
 AddBase_17 = ** Impossible de lire le fichier {0}
 AddBase_19 = Attention
 AddBase_2  = ** Échec du chargement du corpus à partir du dossier : {0}.\nImpossible de trouver les composants nécessaires.
@@ -642,5 +640,7 @@
 
 error_invalidRegularExpression = Expression régulière invalide : {0}
 
+info_txmIsReady = TXM est prêt.
+
 preferences_advanced_enableResultsPersistence        = Activer la sauvegarde automatique de tous les résultats (perstistance)
 preferences_advanced_showAllResultNodesInCorporaView = Afficher les noeuds de tous les résultats dans la vue corpus
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/TXMUIMessages.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/TXMUIMessages.java	(revision 1089)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/TXMUIMessages.java	(revision 1090)
@@ -14,7 +14,7 @@
 	
 	public static String About_Menu_Label;
 	public static String AdapterFactory_0;
-	public static String AddBase_10;
+	public static String info_txmIsReady;
 	public static String AddBase_17;
 	public static String AddBase_19;
 	public static String AddBase_1;
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/LoadBinaryCorpus.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/LoadBinaryCorpus.java	(revision 1089)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/LoadBinaryCorpus.java	(revision 1090)
@@ -246,8 +246,8 @@
 							RestartTXM.reloadViews();
 							//System.out.println("Select newly loaded corpus: "+base2.getCorpora().values());
 							CorporaView.select(base2.getChildren(MainCorpus.class));
-							System.err.println(TXMUIMessages.AddBase_10);
-							StatusLine.setMessage(TXMUIMessages.AddBase_10);
+							System.err.println(TXMUIMessages.info_txmIsReady);
+							StatusLine.setMessage(TXMUIMessages.info_txmIsReady);
 						}
 					});
 				} catch (ThreadDeath td) { 
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/LoadBinaryCorporaDirectory.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/LoadBinaryCorporaDirectory.java	(revision 1089)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/LoadBinaryCorporaDirectory.java	(revision 1090)
@@ -175,8 +175,8 @@
 						@Override
 						public void run() {
 							RestartTXM.reloadViews();
-							System.err.println(TXMUIMessages.AddBase_10);
-							StatusLine.setMessage(TXMUIMessages.AddBase_10);
+							System.err.println(TXMUIMessages.info_txmIsReady);
+							StatusLine.setMessage(TXMUIMessages.info_txmIsReady);
 						}
 					});
 				} catch (ThreadDeath td) { 
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/results/DeleteObject.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/results/DeleteObject.java	(revision 1089)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/results/DeleteObject.java	(revision 1090)
@@ -58,6 +58,7 @@
 import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.rcp.preferences.RCPPreferences;
 import org.txm.rcp.utils.JobHandler;
+import org.txm.rcp.views.corpora.CorporaView;
 import org.txm.searchengine.cqp.corpus.Corpus;
 import org.txm.searchengine.cqp.corpus.MainCorpus;
 import org.txm.searchengine.cqp.corpus.Partition;
@@ -187,16 +188,19 @@
 				org.txm.Toolbox.restartWorkspace(null);
 				Toolbox.getEngineManager(EngineType.SEARCH).restartEngines();
 				
-				Log.info(TXMUIMessages.AddBase_10);
-				StatusLine.setMessage(TXMUIMessages.AddBase_10);
+				Log.info(TXMUIMessages.info_txmIsReady);
+				StatusLine.setMessage(TXMUIMessages.info_txmIsReady);
 			}
 			
 			Display.getDefault().syncExec(new Runnable() {
 				@Override
 				public void run() {
 					try {
+						// FIXME: why this is commented? became useless? I needed to add the line below for the refresh CorporaView.refresh();
 //						RestartTXM.reloadViews();
 						
+						CorporaView.refresh();
+						
 						//close corresponding editors
 						for(Object obj : allObjectDeleted) {
 							closeEditorOfSelection(obj);
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteImportScript.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteImportScript.java	(revision 1089)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteImportScript.java	(revision 1090)
@@ -284,8 +284,8 @@
 								public void run() {
 									RestartTXM.reloadViews();
 									CorporaView.select(base2.getChildren(MainCorpus.class));
-									System.out.println(TXMUIMessages.AddBase_10);
-									StatusLine.setMessage(TXMUIMessages.AddBase_10);
+									System.out.println(TXMUIMessages.info_txmIsReady);
+									StatusLine.setMessage(TXMUIMessages.info_txmIsReady);
 								}
 							});
 							this.releaseSemaphore();
Index: tmp/org.txm.cooccurrence.core/src/org/txm/cooccurrence/core/functions/Cooccurrence.java
===================================================================
--- tmp/org.txm.cooccurrence.core/src/org/txm/cooccurrence/core/functions/Cooccurrence.java	(revision 1089)
+++ tmp/org.txm.cooccurrence.core/src/org/txm/cooccurrence/core/functions/Cooccurrence.java	(revision 1090)
@@ -123,7 +123,7 @@
 
 	// contains the sum of distances
 	/** The distancescounts. */
-	HashMap<String, Integer> distancescounts = new HashMap<String, Integer>();
+	HashMap<String, Integer> distancesCounts = new HashMap<String, Integer>();
 
 	/** The FA. */
 	int FA = -1;
@@ -210,7 +210,7 @@
 	@Parameter(key=CooccurrencePreferences.MIN_RIGHT)
 	protected Integer pMinRightContextSize;
 	
-	/** The cooccurents properties to show. */
+	/** The cooccurrents properties to display. */
 	@Parameter(key=CooccurrencePreferences.UNIT_PROPERTIES)
 	protected List<WordProperty> pProperties;
 	
@@ -222,7 +222,10 @@
 	@Parameter(key=CooccurrencePreferences.MIN_SCORE)
 	protected Double pScoreMinFilter;
 	
-	/** The structural unit context limit. */
+	/**
+	 * The structural unit context limit.
+	 * In null then the unit property is used. 
+	 */
 	@Parameter(key=CooccurrencePreferences.STRUCTURAL_UNIT_LIMIT, electric=false)
 	protected StructuralUnit pStructuralUnitLimit;
 
@@ -245,27 +248,7 @@
 
 
 
-	/**
-	 * 
-	 * @param watcher
-	 * @param pQuery
-	 * @param pProperties
-	 * @param pStructuralUnitLimit
-	 * @param minleft
-	 * @param maxleft
-	 * @param minright
-	 * @param maxright
-	 * @param minf
-	 * @param minscore
-	 * @param mincof
-	 * @param pIncludeXpivot
-	 * @param buildLexicalTableWithCooccurrents
-	 * @return
-	 * @throws CqiClientException 
-	 * @throws CqiServerError 
-	 * @throws IOException 
-	 * @throws StatException 
-	 */
+	@Override
 	protected boolean _compute() throws CqiClientException, IOException, CqiServerError, StatException {
 		//FIXME: debug
 		//System.out.println("cooc: "+corpus+" "+query+" "+properties+" "+limit+" "+maxLeft+" "+minLeft+" "+minRight+" "+maxRight+" "+minFreq+" "+minCof+" "+minScore+" "+includeXpivot);
@@ -282,7 +265,7 @@
 			this.counts.clear();
 			this.dist.clear();
 			this.distances.clear();
-			this.distancescounts.clear();
+			this.distancesCounts.clear();
 			this.indexfreqs.clear();
 			this.keysToString.clear();
 			this.occproperties.clear();
@@ -416,7 +399,7 @@
 	//FIXME: useless? 
 	public void clearMemory() {
 		if (distances != null) distances.clear();
-		if (distancescounts != null) distancescounts.clear();
+		if (distancesCounts != null) distancesCounts.clear();
 		if (counts != null) counts.clear();
 		if (indexfreqs != null) indexfreqs.clear();
 		if (counted != null) counted.clear();
@@ -655,11 +638,11 @@
 	}
 
 	/**
-	 * Gets the structure.
+	 * Gets the structural unit limit.
 	 *
 	 * @return the structure
 	 */
-	public StructuralUnit getStructure() {
+	public StructuralUnit getStructuralUnitLimit() {
 		return this.pStructuralUnitLimit;
 	}
 
@@ -816,8 +799,8 @@
 			boolean includeXpivot = (Boolean) parameters.getBoolean(CooccurrencePreferences.INCLUDE_X_PIVOT);
 			
 			String queryString = ""; //$NON-NLS-1$
-			if(parameters.get(CooccurrencePreferences.QUERY) != null)	{
-				queryString = parameters.get(CooccurrencePreferences.QUERY).toString();
+			if(parameters.get(TXMPreferences.QUERY) != null)	{
+				queryString = parameters.get(TXMPreferences.QUERY).toString();
 			}
 			CQLQuery query = new CQLQuery(queryString);
 			
@@ -856,11 +839,11 @@
 	}
 
 	/**
-	 * Sets the structure.
+	 * Sets the structural unit limit.
 	 *
 	 * @param su the new structure
 	 */
-	public void setStructure(StructuralUnit su) {
+	public void setStructuralUnitLimt(StructuralUnit su) {
 		pStructuralUnitLimit = su;
 	}
 
@@ -1154,7 +1137,7 @@
 
 				if (!distances.containsKey(signaturestr)) {
 					distances.put(signaturestr, 0.0);
-					distancescounts.put(signaturestr, 0);
+					distancesCounts.put(signaturestr, 0);
 				}
 
 				if (counted.containsKey(position)) {
@@ -1179,7 +1162,7 @@
 					}
 
 					distances.put(signaturestr, (distances.get(signaturestr)) + dist);
-					distancescounts.put(signaturestr, (distancescounts.get(signaturestr)) + 1);
+					distancesCounts.put(signaturestr, (distancesCounts.get(signaturestr)) + 1);
 
 				}
 
@@ -1268,7 +1251,7 @@
 			if (counts.containsKey(signaturestr)) {
 				CLine cline = new CLine(this, specifrownames[ii], props, counts
 						.get(signaturestr), indexfreqs.get(specifrownames[ii]), scores[ii][1],
-						((float) (distances.get(signaturestr) / distancescounts
+						((float) (distances.get(signaturestr) / distancesCounts
 								.get(signaturestr))) - 1.0f, -1);
 				//System.out.println(cline);
 				if (cline.freq >= this.pFminFilter	&& cline.nbocc >= this.pFCoocFilter && cline.score >= 0 && cline.score >= this.pScoreMinFilter) {
@@ -1486,7 +1469,7 @@
 		if (this.getIncludeXPivot() && maxempan == 0) maxempan = 1;  
 		
 		String maxempanstr = "within " + maxempan + " "; //$NON-NLS-1$ //$NON-NLS-2$
-		if (this.getStructure() != null) maxempanstr += this.getStructure().getName(); 
+		if (this.getStructuralUnitLimit() != null) maxempanstr += this.getStructuralUnitLimit().getName(); 
 		
 		query = "("+this.getQuery()+" []* "+query+") | ("+query+" []* "+this.getQuery()+") "+maxempanstr; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$
 		
Index: tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java	(revision 1089)
+++ tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java	(revision 1090)
@@ -584,14 +584,19 @@
 		Field[] fields = clazz.getDeclaredFields();
 		for (Field f : fields) {
 			Parameter parameter = f.getAnnotation(Parameter.class);
-			if (parameter == null || parameter.type() != Parameter.COMPUTING) {
+			if (parameter == null
+					|| parameter.type() != Parameter.COMPUTING
+					// FIXME: non electric mode tests
+					//|| parameter.electric() == false 
+					) {
 				continue;
 			}
 
 			String name;
-			if (!"".equals(parameter.key()))	{
+			if (!parameter.key().isEmpty())	{
 				name = parameter.key();
-			} else {
+			}
+			else {
 				name = f.getName();
 			}
 
@@ -1628,6 +1633,8 @@
 	 */
 	synchronized protected boolean compute(IProgressMonitor monitor, boolean deepComputing, boolean updateLastParameters) throws Exception {
 
+		// FIXME: see if this skipComputing tests is still useful? is it possible to directly return instead?
+		// en fait voir ChartResult.compute() if(super.compute(monitor, true, false)), je pense que le prob vient du fait que si on retourne false dans TXMResult.compute() alors renderChart() ne sera pas appelé 
 		boolean skipComputing = false;
 
 		this.monitor = monitor;
Index: tmp/org.txm.core/src/java/org/txm/core/results/Parameter.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/results/Parameter.java	(revision 1089)
+++ tmp/org.txm.core/src/java/org/txm/core/results/Parameter.java	(revision 1090)
@@ -36,13 +36,13 @@
 	public String key() default "";
 	
 	/**
-	 * The parameter electric mode. If true the result is computed as soon the parameter is updated 
+	 * The parameter electric mode. If true the result is computed as soon the parameter is updated.
 	 * @return
 	 */
 	public boolean electric() default true;
 	
 	/**
-	 * To determine what kind of parameters has been changed between tWo computing/rendering and do only computing, rendering or both.
+	 * To determine what kind of parameters has been changed between two computing/rendering and do only computing, rendering or both.
 	 * @return
 	 */
 	public int type() default Parameter.COMPUTING;
Index: tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/editors/ConcordanceEditor.java
===================================================================
--- tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/editors/ConcordanceEditor.java	(revision 1089)
+++ tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/editors/ConcordanceEditor.java	(revision 1090)
@@ -770,20 +770,19 @@
 		viewer.setInput(lines);
 		viewer2.setInput(lines);
 
-		navigationWidget.setInfoLineText(""+(from + 1), //$NON-NLS-1$
-				" - "+(to + 1) + " / " + concordance.getNLines()); //$NON-NLS-1$ //$NON-NLS-2$
+		navigationWidget.setInfoLineText("" + (from + 1), //$NON-NLS-1$
+				" - " + (to + 1) + " / " + concordance.getNLines()); //$NON-NLS-1$ //$NON-NLS-2$
 
 		navigationWidget.setPreviousEnabled(concordance.getTopIndex() > 0);
 		navigationWidget.setFirstEnabled(concordance.getTopIndex() > 0);
-		navigationWidget.setNextEnabled((concordance.getTopIndex()+concordance.getNLinePerPage()) < concordance.getNLines() - 1);
-		navigationWidget.setLastEnabled((concordance.getTopIndex()+concordance.getNLinePerPage()) < concordance.getNLines() - 1);
+		navigationWidget.setNextEnabled((concordance.getTopIndex() + concordance.getNLinePerPage()) < concordance.getNLines() - 1);
+		navigationWidget.setLastEnabled((concordance.getTopIndex() + concordance.getNLinePerPage()) < concordance.getNLines() - 1);
 		navigationWidget.layout();
 		navigationWidget.getParent().layout();
 
 		refreshReferenceColumnTitle();
 		viewer.getControl().setRedraw(true);
 		viewer2.getControl().setRedraw(true);
-		
 	}
 
 
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Partition.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Partition.java	(revision 1089)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Partition.java	(revision 1090)
@@ -809,5 +809,13 @@
 	}
 
 
+	/**
+	 * Returns the first parent object that is a Partition.
+	 * Returns the object itself if its class is one of the the three listed below.
+	 * @return
+	 */
+	synchronized public static Partition getFirstParentPartition(TXMResult result) {
+		return (Partition) result.getFirstParent(Partition.class);
+	}
 
 }
Index: tmp/org.txm.lexicaltable.core/src/org/txm/lexicaltable/core/functions/LexicalTable.java
===================================================================
--- tmp/org.txm.lexicaltable.core/src/org/txm/lexicaltable/core/functions/LexicalTable.java	(revision 1089)
+++ tmp/org.txm.lexicaltable.core/src/org/txm/lexicaltable/core/functions/LexicalTable.java	(revision 1090)
@@ -455,14 +455,6 @@
 		}
 	}
 
-	/**
-	 * Get the corpus this lexical table is bound to.
-	 * 
-	 * @return the corpus or null if the LexicalTable was build without a Corpus or thiout a Partition (built with a Corpus)
-	 */
-	public Corpus getCorpus() {
-		return Corpus.getFirstParentCorpus(this);
-	}
 
 	public ILexicalTable getData() {
 		return statsData;
@@ -522,20 +514,22 @@
 	}
 
 	/**
-	 * Gets the partition this lexical table is bound to.
+	 * Gets the corpus used by this lexical table.
 	 * 
+	 * @return the corpus
+	 */
+	public Corpus getCorpus() {
+		return Corpus.getFirstParentCorpus(this);
+	}
+
+	
+	/**
+	 * Gets the parent partition of this lexical table.
+	 * 
 	 * @return the partition
 	 */
 	public Partition getPartition() {
-		if (parent instanceof Partition) {
-			return ((Partition)parent);
-		}
-		if (parent instanceof Index) {
-			return ((Index)parent).getPartition();
-		}
-		else {
-			return null;
-		}
+		return Partition.getFirstParentPartition(this);
 	}
 
 	/**
Index: tmp/org.txm.lexicaltable.core/src/org/txm/lexicaltable/core/statsengine/r/data/LexicalTableImpl.java
===================================================================
--- tmp/org.txm.lexicaltable.core/src/org/txm/lexicaltable/core/statsengine/r/data/LexicalTableImpl.java	(revision 1089)
+++ tmp/org.txm.lexicaltable.core/src/org/txm/lexicaltable/core/statsengine/r/data/LexicalTableImpl.java	(revision 1090)
@@ -143,7 +143,7 @@
 		//TODO: implement the R function : rw.callFunction("lexicons2LexicalTable", new QuantitativeDataStructure[] { corpusLexiconV, subcorpusLexiconV }, symbol); //$NON-NLS-1$
 		
 		rw.eval(symbol+" <- matrix(0, ncol = 2, nrow=length("+corpusLexiconV.getSymbol()+"))");
-		rw.eval("colnames("+symbol+") <- c(\""+corpusLexicon.getCorpus().getName()+"-"+subcorpusLexicon.getCorpus().getName()+"\", \""+subcorpusLexicon.getCorpus().getName()+"\")");
+		rw.eval("colnames("+symbol+") <- c(\""+corpusLexicon.getParent().getName()+"-"+subcorpusLexicon.getParent().getName()+"\", \""+subcorpusLexicon.getParent().getName()+"\")");
 		System.out.println("forms: "+Arrays.toString(corpusLexicon.getForms()));
 		rw.addVectorToWorkspace("ltnames", corpusLexicon.getForms());
 		rw.eval("rownames("+symbol+") <- ltnames");
Index: tmp/org.txm.index.core/src/org/txm/index/core/functions/Lexicon.java
===================================================================
--- tmp/org.txm.index.core/src/org/txm/index/core/functions/Lexicon.java	(revision 1089)
+++ tmp/org.txm.index.core/src/org/txm/index/core/functions/Lexicon.java	(revision 1090)
@@ -104,7 +104,7 @@
 	 * @param parent
 	 */
 	public Lexicon(Corpus parent)	{
-		super(parent);
+		this(null, parent);
 	}
 
 	/**
@@ -112,9 +112,19 @@
 	 * @param uuid
 	 */
 	public Lexicon(String uuid)	{
-		super(uuid);
+		this(uuid, null);
 	}
 	
+	/**
+	 * 
+	 * @param uuid
+	 * @param parent
+	 */
+	public Lexicon(String uuid, TXMResult parent)	{
+		super(uuid, parent);
+	}
+
+	
 	@Override
 	public Corpus getParent() {
 		return (Corpus)super.getParent();
Index: tmp/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/editors/CooccurrencesEditor.java
===================================================================
--- tmp/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/editors/CooccurrencesEditor.java	(revision 1089)
+++ tmp/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/editors/CooccurrencesEditor.java	(revision 1090)
@@ -156,9 +156,8 @@
 	AssistedQueryWidget queryWidget;
 
 	/** The props area. */
-	@Parameter(key=CooccurrencePreferences.UNIT_PROPERTIES)
+	@Parameter(key=TXMPreferences.UNIT_PROPERTIES)
 	PropertiesSelector<WordProperty> propertiesSelector;
-
 	
 	
 	
@@ -662,7 +661,6 @@
 				Log.severe(CooccurrenceUIMessages.bind(CooccurrenceUIMessages.editor_error, e.getLocalizedMessage()));
 				org.txm.rcp.utils.Logger.printStackTrace(e);
 			}
-//			viewer.refresh();
 			TXMEditor.packColumns(this.viewer);
 		}
 	}
@@ -671,6 +669,13 @@
 	@Override
 	public void updateEditorFromResult(boolean update) {
 
+		// clear the UI for non-electric parameters
+		// FIXME: doesn't work
+		if(this.getResult().hasParameterChanged(CooccurrencePreferences.STRUCTURAL_UNIT_LIMIT))	{
+			viewer.setInput(null);
+			return;
+		}
+		
 		String txt = "tp " + cooc.getNumberOfKeyword() + ", vc " + cooc.getNumberOfDifferentCooccurrents() + ", tc " + cooc.getNumberOfCooccurrents(); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 		try {
 			txt += ", T " + cooc.getCorpus().getSize();  //$NON-NLS-1$
Index: tmp/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/handlers/___CooccurrencesToConcordances.java
===================================================================
--- tmp/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/handlers/___CooccurrencesToConcordances.java	(revision 1089)
+++ tmp/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/handlers/___CooccurrencesToConcordances.java	(revision 1090)
@@ -111,7 +111,7 @@
 		if (cooc.getIncludeXPivot() && maxempan == 0) maxempan = 1;  
 		
 		String maxempanstr = "within " + maxempan + " "; //$NON-NLS-1$ //$NON-NLS-2$
-		if (cooc.getStructure() != null) maxempanstr += cooc.getStructure().getName(); 
+		if (cooc.getStructuralUnitLimit() != null) maxempanstr += cooc.getStructuralUnitLimit().getName(); 
 		
 		query = "("+cooc.getQuery()+" []* "+query+") | ("+query+" []* "+cooc.getQuery()+") "+maxempanstr; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$
 		
